Subject: bug#1079: GNUstep port segfaults making autoloads on x86_64

From: Glenn Morris <[email-masked]>
Date: Mon, 06 Oct 2008 13:20:02 -0400

Yavor Doganov wrote:

> Which version of GNUstep Base is this?

gnustep-startup-0.20.0.tar

> Can you run the testsuite on that machine, e.g.
>
> svn co http://svn.gna.org/svn/gnustep/tests/testsuite/trunk gnustep-testsuite
> cd gnustep-testsuite
> make
>
> and post the output of the failed tests and the summary?

I was going to ask if my GNUstep installation could be messed up somehow...

Disclosure: my GNUstep.conf file is not in /etc, so I patched
configure to accept a path to GNUstep.conf. I haven't submitted that
yet since I don't know if am doing the right thing. But I don't see
that it would make a difference to this.

64-bit output:

--- Running tests in base ---

base/GSMime/test01.m:
FAIL: can parse HTTP 200 reponse in one go

base/NSInvocation/general.m:
FAIL: Can send/return large structs

base/NSInvocation/test01.m:
FAIL: base/NSInvocation/test01.m

base/NSProxy/test01.m:
FAIL: Proxy NSPoint
FAIL: Proxy GSFinePoint
FAIL: base/NSProxy/test01.m

base/NSStream/socket.m:
FAIL: read www.google.com https

base/NSString/order.m:
FAIL: base/NSString/order.m

    237 COMPLETED
      8 FAIL
   4848 PASS

32-bit output:

--- Running tests in base ---

base/GSMime/test01.m:
FAIL: can parse HTTP 200 reponse in one go

base/NSProxy/test01.m:
FAIL: Proxy GSFinePoint
FAIL: base/NSProxy/test01.m

base/NSStream/socket.m:
FAIL: read www.google.com https

base/NSString/order.m:
FAIL: base/NSString/order.m

    238 COMPLETED
      5 FAIL
   4848 PASS